library IEEE;
use IEEE.STD_LOGIC_1164.all;
-----------------------------------------------------------------------------
--! \defgroup markdown_vhd VHDL markdown test
--! \ingroup  markdown_vhd
--!
--! \code{.markdown}
--!            ______ 
--!           |      |
--!     x1 ->-|      |
--!           |      |->- y
--!     x2 ->-|      |
--!           |______|
--! \endcode
-----------------------------------------------------------------------------
entity test is
  port (--inpts
         x1 : in  std_logic;
         x2 : in  std_logic;
        --outputs
          y : out std_logic;
        );
end entity test;

architecture test_arch of test is
begin
  y <= x1 xor x2;
end architecture test_arch;